package agent.agentgui;

import agent.util.MediaHelper;

import java.awt.*;

import mailbox.ScanResult;

/**
 *
 * User: Standard
 * Date: 08.11.2003
 * Time: 14:33:36
 *
 */
public class VisualScanResult extends Canvas {



    private Image[][] ivResolvedImages;

    private int zoomfactor = 100;

    public void paint(Graphics g){

        try {

            setSize((zoomfactor/5) * 21, (zoomfactor/5) * 21);

            for (int i = 0; i < ivResolvedImages.length; i++){
                for (int j = 0; j < ivResolvedImages[i].length; j++){
                    g.drawImage(ivResolvedImages[i][j], i * (zoomfactor/5), j* (zoomfactor/5) ,(zoomfactor/5), (zoomfactor/5), this) ;
                }
            }



        } catch (Exception e) {

        }

    }

    public void update(Graphics g){
        // double buffering
        Image img = createImage(getWidth(),getHeight());
        // weggelassen Malen eines neuen Hintergrundes
        Graphics g1 = img.getGraphics();
        paint(g1);
        g.drawImage(img, 0, 0, this);

    }


    public Image[][] getIvResolvedImages() {
        return ivResolvedImages;
    }

    public void setIvResolvedImages(Image[][] ivResolvedImages) {
        this.ivResolvedImages = ivResolvedImages;
    }

    public void setZoomfactor(int zoomfactor) {
        this.zoomfactor = zoomfactor;
        repaint();
    }


}
