package agent.impl;

import agent.agentgui.SimpleAgentVisualization;
import agent.Agent;

import java.awt.*;

import mailbox.Message;
import mailbox.ScanResult;

/**
 *
 * User: Standard
 * Date: 08.11.2003
 * Time: 15:42:56
 *
 */
public class MoveAgent2 extends RemoteControlledAgent {

    protected SimpleAgentVisualization ivSimpleAgentVisualization;


    public void run(){
           int i = 1;
           while(ivRunning){

               try {


                   sendMessageToServer(new Message(i));
                   if (i == 10){
                       i = 1;
                   } else {
                       i++;
                   }
                   Thread.sleep(500);
                   String[] sensoren = getRoboterInfo().getSensoren();
                   sendMessageToServer(new Message(Message.SCAN, sensoren[0]));
                   Thread.sleep(1000);


                   try {
                       final Message m = getNextMessage();
                       System.out.println(m.getAbsender() + "  " + m.getBetreff());

                       if (m.getBetreff() == Message.SCANRESULT){

                           new Thread(){
                               public void run(){

                                   ScanResult res = (ScanResult )m.getContent();
                                   String[][] lvScannedUrls = res.getIvScanresult();
                                   Image[][] lvResolvedImages = new Image[lvScannedUrls.length][lvScannedUrls.length];

                                   for (int i = 0; i < lvScannedUrls.length; i++){
                                       for (int j = 0; j < lvScannedUrls[i].length; j++){
                                           // Entscheiden, welches Bild geholt wird

                                           if (i == 10 && j == 10){
                                               lvResolvedImages[i][j] = ivMediaHelper.getImage(ROBOTIMAGE);
                                           } else if (lvScannedUrls[i][j] == null){
                                               lvResolvedImages[i][j] = ivMediaHelper.getImage(DEFAULTIMAGE);
                                           } else if (lvScannedUrls[i][j].equals(ScanResult.OUTOFSPIELFELD)){
                                               lvResolvedImages[i][j] = ivMediaHelper.getImage(DEFAULTIMAGE);
                                           } else {
                                               lvResolvedImages[i][j] = ivMediaHelper.getImage(lvScannedUrls[i][j]);
                                           }
                                       }
                                   }
                                   ivSimpleAgentVisualization.setScanResult(lvResolvedImages);
                               }}.start();

                           sendMessageToServer(new Message(Message.GETENERGY));

                       } else {
                           System.out.println("Message erhalten: Absender: " + m.getAbsender() +" - Betreff: "+ m.getBetreff());
                       }  // ende if!!

                   } catch (Exception e) {

                   }



               } catch (InterruptedException e1) {
                   e1.printStackTrace();  //To change body of catch statement use Options | File Templates.
               }

           }}


    public Frame getFrame() {
         if (ivSimpleAgentVisualization == null){
            ivSimpleAgentVisualization = new SimpleAgentVisualization();
            ivSimpleAgentVisualization.setAgent(this);
        }
        return ivSimpleAgentVisualization;
    }


}
