package editor;

import com.borland.jbcl.layout.*;
import java.awt.*;
import java.awt.event.*;
import java.sql.*;
/**
 * Maske fr die Auswahl den zu ndernden Elementes
 */
public class Datenaendern
    extends Frame {
  Sql db = new Sql();
  XYLayout xYLayout1 = new XYLayout();
  Label label1 = new Label();
  Label label3 = new Label();
  Label label4 = new Label();
  Label label5 = new Label();
  Label label6 = new Label();
  Label label7 = new Label();
  Choice csensor = new Choice();
  Choice cantrieb = new Choice();
  Choice croboter = new Choice();
  Choice cgelaende = new Choice();
  Choice cmine = new Choice();
  Button bsensor = new Button();
  Button bantrieb = new Button();
  Button broboter = new Button();
  Button bgelaende = new Button();
  Button bmine = new Button();
  Button babbrechen = new Button();
  /**
   * Aufbauen der Maske durch den Konstruktor
   */
  public Datenaendern() {
    try {
      jbInit(); //baut Eingabemaske auf...
    }
    catch (Exception e) {
      e.printStackTrace();
    }
    pack();
    setVisible(true);
  }

  public static void main(String[] args) {
    Datenaendern d = new Datenaendern();

  }

  private void jbInit() throws Exception {
    label1.setFont(new java.awt.Font("Dialog", 1, 15));
    label1.setText("Elemente ndern");
    this.setLayout(xYLayout1);
    label3.setText("Sensor:");
    label3.setFont(new java.awt.Font("Dialog", 0, 13));
    label4.setText("Antrieb:");
    label4.setFont(new java.awt.Font("Dialog", 0, 13));
    label5.setText("Roboter:");
    label5.setFont(new java.awt.Font("Dialog", 0, 13));
    label6.setText("Gelnde:");
    label6.setFont(new java.awt.Font("Dialog", 0, 13));
    label7.setText("Mine:");
    label7.setFont(new java.awt.Font("Dialog", 0, 13));
    bsensor.setFont(new java.awt.Font("Dialog", 0, 13));
    bsensor.setLabel("ndern");
    bsensor.addActionListener(new Datenaendern_bsensor_actionAdapter(this));
    bantrieb.setFont(new java.awt.Font("Dialog", 0, 13));
    bantrieb.setLabel("ndern");
    bantrieb.addActionListener(new Datenaendern_bantrieb_actionAdapter(this));
    broboter.setFont(new java.awt.Font("Dialog", 0, 13));
    broboter.setLabel("ndern");
    broboter.addActionListener(new Datenaendern_broboter_actionAdapter(this));
    bgelaende.setFont(new java.awt.Font("Dialog", 0, 13));
    bgelaende.setLabel("ndern");
    bgelaende.addActionListener(new Datenaendern_bgelaende_actionAdapter(this));
    bmine.setFont(new java.awt.Font("Dialog", 0, 13));
    bmine.setLabel("ndern");
    bmine.addActionListener(new Datenaendern_bmine_actionAdapter(this));
    babbrechen.setFont(new java.awt.Font("Dialog", 0, 13));
    babbrechen.setLabel("Abbrechen");
    babbrechen.addActionListener(new Datenaendern_babbrechen_actionAdapter(this));
    xYLayout1.setWidth(400);
    xYLayout1.setHeight(328);
    this.setBackground(SystemColor.menu);
    this.add(label1, new XYConstraints(135, 11, 130, 26));
    this.add(csensor, new XYConstraints(126, 67, 107, 23));
    this.add(label3, new XYConstraints(48, 67, 61, 28));
    this.add(label4, new XYConstraints(48, 98, 61, 28));
    this.add(label5, new XYConstraints(48, 130, 61, 28));
    this.add(label6, new XYConstraints(48, 161, 61, 28));
    this.add(label7, new XYConstraints(48, 192, 61, 28));
    this.add(cantrieb, new XYConstraints(126, 98, 107, 23));
    this.add(croboter, new XYConstraints(126, 130, 107, 23));
    this.add(cgelaende, new XYConstraints(126, 161, 107, 23));
    this.add(cmine, new XYConstraints(126, 192, 107, 23));
    this.add(bsensor, new XYConstraints(251, 67, 95, -1));
    this.add(bantrieb, new XYConstraints(251, 98, 95, -1));
    this.add(broboter, new XYConstraints(251, 130, 95, -1));
    this.add(bgelaende, new XYConstraints(251, 161, 95, -1));
    this.add(bmine, new XYConstraints(251, 192, 95, -1));
    this.add(babbrechen, new XYConstraints(145, 250, 110, 34));

    ResultSet result;

    // erzeugen der Drop-Down-Mens mit den vorhandenen Elementen

    result = db.select("select name from sensor,umgsensorz where sensor.sid=umgsensorz.sid and umgsensorz.uid='"+Editor.getumgebung()+"'");
    while (result.next()) {
      csensor.add(result.getString("name"));
    }

    result = db.select("select name from antrieb,umgantriebz where antrieb.aid=umgantriebz.aid and umgantriebz.uid='"+Editor.getumgebung()+"'");
    while (result.next()) {
      cantrieb.add(result.getString("name"));
    }

    result = db.select("select name from roboter,umgroboterz where roboter.rid=umgroboterz.rid and umgroboterz.uid='"+Editor.getumgebung()+"'");
    while (result.next()) {
      croboter.add(result.getString("name"));
    }

    result = db.select("select name from gelaende,umggelaendez where gelaende.gid=umggelaendez.gid and umggelaendez.uid='"+Editor.getumgebung()+"'");
    while (result.next()) {
      cgelaende.add(result.getString("name"));
    }

    result = db.select("select name from mine,umgminez where mine.mid=umgminez.mid and umgminez.uid='"+Editor.getumgebung()+"'");
    while (result.next()) {
      cmine.add(result.getString("name"));
    }

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        dispose();
      }
    });

  }

  void babbrechen_actionPerformed(ActionEvent e) {
    dispose();
  }

  void bsensor_actionPerformed(ActionEvent e) {
    Sensorgui g = new Sensorgui(csensor.getSelectedItem());

  }

  void bantrieb_actionPerformed(ActionEvent e) {
    Antriebgui g = new Antriebgui(cantrieb.getSelectedItem());


  }

  void broboter_actionPerformed(ActionEvent e) {
    Robotergui g = new Robotergui(croboter.getSelectedItem());

  }

  void bgelaende_actionPerformed(ActionEvent e) {
    Gelaendegui g = new Gelaendegui(cgelaende.getSelectedItem());

  }

  void bmine_actionPerformed(ActionEvent e) {
    Minengui g = new Minengui(cmine.getSelectedItem());

  }

}

class Datenaendern_babbrechen_actionAdapter
    implements java.awt.event.ActionListener {
  Datenaendern adaptee;

  Datenaendern_babbrechen_actionAdapter(Datenaendern adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.babbrechen_actionPerformed(e);
  }
}

class Datenaendern_bsensor_actionAdapter
    implements java.awt.event.ActionListener {
  Datenaendern adaptee;

  Datenaendern_bsensor_actionAdapter(Datenaendern adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.bsensor_actionPerformed(e);
  }
}

class Datenaendern_bantrieb_actionAdapter
    implements java.awt.event.ActionListener {
  Datenaendern adaptee;

  Datenaendern_bantrieb_actionAdapter(Datenaendern adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.bantrieb_actionPerformed(e);
  }
}

class Datenaendern_broboter_actionAdapter
    implements java.awt.event.ActionListener {
  Datenaendern adaptee;

  Datenaendern_broboter_actionAdapter(Datenaendern adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.broboter_actionPerformed(e);
  }
}

class Datenaendern_bgelaende_actionAdapter
    implements java.awt.event.ActionListener {
  Datenaendern adaptee;

  Datenaendern_bgelaende_actionAdapter(Datenaendern adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.bgelaende_actionPerformed(e);
  }
}

class Datenaendern_bmine_actionAdapter
    implements java.awt.event.ActionListener {
  Datenaendern adaptee;

  Datenaendern_bmine_actionAdapter(Datenaendern adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.bmine_actionPerformed(e);
  }
}