package editor;

import java.awt.*;
import com.borland.jbcl.layout.*;
import java.awt.event.*;
import java.sql.ResultSet;
import java.sql.*;
/**
 * in dieser Maske werden die bentigten Daten fr die Spielfeldgui.java ermittelt
 * wie Standardgelnde, Lnge und Breite des neuen Spielfeldes
 * die Spielfeldgui.java wird vom Programm nur ber diese Klasse gestartet
 */
public class Spielfeldguia
    extends Panel {
  Sql db = new Sql();

  XYLayout xYLayout1 = new XYLayout();
  Label label1 = new Label();
  Label label2 = new Label();
  Label label3 = new Label();
  TextField tlaenge = new TextField();
  TextField tbreite = new TextField();
  Button babbrechen = new Button();
  Button banlegen = new Button();
  Label label4 = new Label();
  Choice cstgelaende = new Choice();
  /**
   * Konstruktor dieser Maske
   */
  public Spielfeldguia() {
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
  //Mainmethode zu Testzwecken
  public static void main(String[] args) {
    Spielfeldguia spielfeldguia1 = new Spielfeldguia();
  }

  private void jbInit() throws Exception {
    label1.setFont(new java.awt.Font("Dialog", 1, 15));
    label1.setText("Neues Spielfeld anlegen");
    this.setLayout(xYLayout1);
    label2.setFont(new java.awt.Font("Dialog", 0, 13));
    label2.setText("Lnge:");
    label3.setText("Breite:");
    label3.setFont(new java.awt.Font("Dialog", 0, 13));
    tlaenge.setText("");
    tbreite.setText("");
    babbrechen.setFont(new java.awt.Font("Dialog", 0, 13));
    babbrechen.setLabel("Abbrechen");
    babbrechen.addActionListener(new Spielfeldguia_babbrechen_actionAdapter(this));
    banlegen.setFont(new java.awt.Font("Dialog", 0, 13));
    banlegen.setLabel("Anlegen");
    banlegen.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        banlegen_actionPerformed(e);
      }
    });
    xYLayout1.setWidth(293);
    xYLayout1.setHeight(236);
    label4.setFont(new java.awt.Font("Dialog", 0, 13));
    label4.setText("Standardgelnde:");
    this.add(label1, new XYConstraints(44, 10, 187, 30));
    this.add(label4, new XYConstraints(19, 116, 106, 30));
    this.add(label2, new XYConstraints(19, 64, 48, 30));
    this.add(label3, new XYConstraints(19, 90, 48, 30));
    this.add(tlaenge, new XYConstraints(131, 64, 103, 23));
    this.add(tbreite, new XYConstraints(131, 90, 103, 23));
    this.add(cstgelaende, new XYConstraints(131, 116, 103, 23));
    this.add(babbrechen, new XYConstraints(22, 172, 103, 30));
    this.add(banlegen, new XYConstraints(140, 172, 103, 30));
    ResultSet result;
    result = db.select("select name from gelaende,umggelaendez where gelaende.gid=umggelaendez.gid and umggelaendez.uid='"+Editor.getumgebung()+"'");

    cstgelaende.add("");
    while (result.next()) {
      cstgelaende.add(result.getString("name"));
    }

    setVisible(true);
  }

  void babbrechen_actionPerformed(ActionEvent e) {
    getParent().remove(this);
  }

  void banlegen_actionPerformed(ActionEvent e) {
    //hier werden die eingegebenen Werte berprft und dann die spiefeldgui.java
    //mit dem entsprechenden Konstruktor gestartet
    boolean fehler = false;
    if (tlaenge.getText() == "" || tbreite.getText() == "" ||
        !tlaenge.getText().matches("[\\d]*") ||
        !tbreite.getText().matches("[\\d]*")) {
      Warnung w = new Warnung("Bitte vollstndig und gltig ausfllen!");
      fehler = true;
    }
    if (!fehler) {
      ResultSet result =
          db.select("select uname from umgebung where uid='" +
                    Editor.getumgebung() + "'");
      try {
        result.next();

        if (cstgelaende.getSelectedItem().equals("")) {
          Spielfeldgui g = new Spielfeldgui(Integer.parseInt(tlaenge.getText()),
                                            Integer.parseInt(tbreite.getText()),
                                            result.getString("uname"));
          getParent().add(g);
        }
        else {
          Spielfeldgui g = new Spielfeldgui(Integer.parseInt(tlaenge.getText()),
                                            Integer.parseInt(tbreite.getText()),
                                            cstgelaende.getSelectedItem(),
                                            result.getString("uname"));
          getParent().add(g);

        }
      }
      catch (SQLException ex) {
        System.out.println(ex);
      }

      getParent().setVisible(false);
      getParent().setVisible(true);
      getParent().remove(this);

    }

  }

}

class Spielfeldguia_babbrechen_actionAdapter
    implements java.awt.event.ActionListener {
  Spielfeldguia adaptee;

  Spielfeldguia_babbrechen_actionAdapter(Spielfeldguia adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.babbrechen_actionPerformed(e);
  }
}

class ActionListener
    implements java.awt.event.ActionListener {
  Spielfeldguia adaptee;

  ActionListener(Spielfeldguia adaptee) {
    this.adaptee = adaptee;
  }

  public void actionPerformed(ActionEvent e) {
    adaptee.banlegen_actionPerformed(e);
  }
}