package editor;

import java.sql.*;
/**
 * Diese Klasse wird vom Programm nicht verwendet, sie war der Anfang eines Replaykonzeptes
 * welches nicht mehr realisiert werden konnte
 */
public class Sqlreplay {
  private Connection dbConn;
  private Statement sqlStmt;
  private ResultSet rSet;

  public Sqlreplay() {
    try {
      Class.forName("com.mysql.jdbc.Driver");
    }
    catch (Exception e) {
      System.out.println("Fehler beim JDBC-Treiber laden " + e);
      return;
    }
    try {
      String URL = "jdbc:mysql://localhost/replay";
      dbConn = DriverManager.getConnection(URL, "hf", "mysql");
      sqlStmt = dbConn.createStatement();
    }
    catch (Exception e) {
      System.out.println("Fehler bei Datenbankzugriff " + e);
      return;
    }
  }

  public ResultSet select(String statement) {
    try {
      System.out.println(statement);
      rSet = sqlStmt.executeQuery(statement);
      return rSet;
    }
    catch (Exception e) {
      System.out.println("Fehler im Statement " + e);
      return rSet;
    }

  }

  public void mach(String statement) {
    try {
      String statement2 = new String(statement.replace('\\', '/'));
      System.out.println(statement2);
      sqlStmt.execute(statement2);
    }
    catch (Exception e) {
      System.out.println("Fehler im Statement " + e);
    }
  }

  public void tabellenanlegen() {
    Sqlreplay db = new Sqlreplay();
    db.mach("create table sensor(" +
            "sid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "gewicht integer(10)," +
            "grundenergie integer(10)," +
            "scanenergie integer(10)," +
            "anzahlebenen integer(10)," +
            "repid smallint," +
            "primary key (sid)" +
            "); ");

    db.mach("create table schablonenkachel(" +
            "sid smallint not null," +
            "x smallint not null," +
            "y smallint not null," +
            "sichtbereich smallint," +
            "primary key (x,y, sid)" +
            ");");

    db.mach("create table rszuordnung(" +
            "rid smallint not null," +
            "sid smallint not null," +
            "primary key (rid, sid)" +
            ");");

    db.mach("create table antrieb(" +
            "aid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "gewicht integer(10)," +
            "repid smallint," +
            "primary key (aid)" +
            ");");

    db.mach("create table passierbarkeit(" +
            "aid smallint not null," +
            "gid smallint not null," +
            "geschwindigkeit smallint(10)," +
            "energieverbrauch smallint(10)," +
            "passierbarkeit varchar(5)," +
            "primary key (gid, aid)" +
            ");");

    db.mach("create table roboter(" +
            "rid smallint unsigned not null auto_increment," +
            "aid smallint," +
            "sendereichweite integer(10)," +
            "name varchar(32)," +
            "energievorrat integer(10)," +
            "laenge smallint," +
            "breite smallint," +
            "gewicht integer(10)," +
            "bild varchar(150)," +
            "repid smallint," +
            "primary key (rid)" +
            ");");

    db.mach("create table gelaende(" +
            "gid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "bild varchar(150)," +
            "hoehe smallint," +
            "laenge smallint," +
            "breite smallint," +
            "repid smallint," +
            "primary key (gid)" +
            ");");

    db.mach("create table durchsichtigkeit(" +
            "sid smallint not null," +
            "gid smallint not null," +
            "scandauer smallint," +
            "durchsichtigkeit varchar(5)," +
            "primary key (gid, sid)" +
            ");");

    db.mach("create table sensormeldung(" +
            "sid smallint not null," +
            "gid smallint not null," +
            "mid smallint not null," +
            "sensorebene smallint," +
            "meldung varchar(150)," +
            "primary key (mid, gid, sid, sensorebene)" +
            ");");

    db.mach("create table spielfeld(" +
            "spid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "laenge smallint," +
            "breite smallint," +
            "repid smallint," +
            "primary key (spid)" +
            ");");

    db.mach("create table kachel(" +
            "spid smallint not null," +
            "mid smallint," +
            "gid smallint," +
            "hoehe smallint," +
            "x smallint not null," +
            "y smallint not null," +
            "primary key (spid, x, y)" +
            ");");

    db.mach("create table mine(" +
            "mid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "bild varchar(150)," +
            "repid smallint," +
            "primary key (mid)" +
            ");");

    db.mach("create table replayevent(" +
            "repid smallint," +
            "zid timestamp," +
            "aktionsart varchar(32)," +
            "richtung varchar(10)," +
            "sid smallint," +
            "primary key (repid,zid)" +
            ");");

    db.mach("create table replay(" +
            "repid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "primary key (repid)" +
            ");");

    db.mach("create table agenten(" +
            "agentid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "gehirn varchar(150)," +
            "rid smallint," +
            "startx smallint," +
            "starty smallint," +
            "startblick varchar(10)," +
            "repid smallint," +
            "primary key (agentid)" +
            ");");

  }

  public void close() {
    try {
      sqlStmt.close();
      dbConn.close();
    }
    catch (Exception e) {
      System.out.println("Fehler beim schlieen der Verbindung! " + e);
    }
  }

  public static void main(String[] args) {

    Sqlreplay db = new Sqlreplay();
      db.tabellenanlegen();


  }
}
