package dbase;

/**
 * Created by IntelliJ IDEA.
 * User: charadan1
 * Date: 07.10.2003
 * Time: 19:11:16
 * To change this template use Options | File Templates.
 */
import java.sql.*;

public class Sql {

  private Connection dbConn;
  private Statement sqlStmt;
  private ResultSet rSet;

  public Sql() {
    try {
      Class.forName("com.mysql.jdbc.Driver");
    }
    catch (Exception e) {
      System.out.println("Fehler beim JDBC-Treiber laden " + e);
      return;
    }
    try {
      String URL = "jdbc:mysql://localhost/editor";
      dbConn = DriverManager.getConnection(URL, "hf", "mysql");
      sqlStmt = dbConn.createStatement();
    }
    catch (Exception e) {
      System.out.println("Fehler bei Datenbankzugriff " + e);
      return;
    }
  }

  public ResultSet select(String statement) {
    try {
      rSet = sqlStmt.executeQuery(statement);
      System.out.println(statement);
      return rSet;
    }
    catch (Exception e) {
      System.out.println("Fehler im Statement " + e);
      return rSet;
    }

  }

  public void mach(String statement) {
    try {
      String statement2 = new String(statement.replace('\\', '/'));
      sqlStmt.execute(statement2);
    }
    catch (Exception e) {
      System.out.println("Fehler im Statement " + e);

    }
  }

  public void tabellenanlegen() {
    Sql db = new Sql();
    db.mach("create table sensor(" +
            "sid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "gewicht integer(10)," +
            "grundenergie integer(10)," +
            "scanenergie integer(10)," +
            "anzahlebenen integer(10)," +
            "primary key (sid)" +
            "); ");

    db.mach("create table schablonenkachel(" +
            "skid smallint unsigned not null auto_increment," +
            "sid smallint," +
            "x smallint," +
            "y smallint," +
            "sichtbereich smallint," +
            "primary key (skid, sid)" +
            ");");

    db.mach("create table rszuordnung(" +
            "rid smallint," +
            "sid smallint," +
            "primary key (rid, sid)" +
            ");");

    db.mach("create table antrieb(" +
            "aid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "gewicht integer(10)," +
            "primary key (aid)" +
            ");");

    db.mach("create table passierbarkeit(" +
            "aid smallint," +
            "gid smallint," +
            "geschwindigkeit smallint(10)," +
            "energieverbrauch smallint(10)," +
            "passierbarkeit varchar(5)," +
            "primary key (gid, aid)" +
            ");");

    db.mach("create table roboter(" +
            "rid smallint unsigned not null auto_increment," +
            "aid smallint," +
            "sendereichweite integer(10)," +
            "name varchar(32)," +
            "energievorrat integer(10)," +
            "laenge smallint," +
            "breite smallint," +
            "gewicht integer(10)," +
            "bild varchar(150)," +
            "primary key (rid)" +
            ");");

    db.mach("create table gelaende(" +
            "gid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "bild varchar(150)," +
            "hoehe smallint," +
            "festigkeit smallint," +
            "feuchtigkeit smallint," +
            "oberflaeche smallint," +
            "laenge smallint," +
            "breite smallint," +
            "primary key (gid)" +
            ");");

    db.mach("create table durchsichtigkeit(" +
            "sid smallint," +
            "gid smallint," +
            "scandauer smallint," +
            "durchsichtigkeit varchar(5)," +
            "primary key (gid, sid)" +
            ");");

    db.mach("create table sensormeldung(" +
            "sid smallint," +
            "gid smallint," +
            "mid smallint," +
            "sensorebene smallint," +
            "meldung varchar(150)," +
            "primary key (mid, gid, sid, sensorebene)" +
            ");");

    db.mach("create table spielfeld(" +
            "spid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "laenge smallint," +
            "breite smallint," +
            "primary key (spid)" +
            ");");

    db.mach("create table kachel(" +
            "spid smallint," +
            "mid smallint," +
            "gid smallint," +
            "hoehe smallint," +
            "x smallint," +
            "y smallint," +
            "primary key (spid, x, y)" +
            ");");

    db.mach("create table mine(" +
            "mid smallint unsigned not null auto_increment," +
            "name varchar(32)," +
            "bild varchar(150)," +
            "primary key (mid)" +
            ");");

  }

  public void close() {
    try {
      sqlStmt.close();
      dbConn.close();
    }
    catch (Exception e) {
      System.out.println("Fehler beim schlieen der Verbindung! " + e);
    }
  }

  public static void main(String[] args) {

    Sql db = new Sql();
      db.tabellenanlegen();

  }
}
