package editor;

import com.borland.jbcl.layout.*;
import java.awt.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import mailbox.Message;

/**
 * <p>berschrift: </p>
 * <p>Beschreibung: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Organisation: </p>
 * @author unbekannt
 * @version 1.0
 */

public class MessageFrame extends Frame {
  XYLayout xYLayout1 = new XYLayout();
  TextArea textArea1 = new TextArea();
  Label label1 = new Label();
    private long ivSystemzeit = System.currentTimeMillis();


  public MessageFrame() throws HeadlessException {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
        textArea1.setEditable(false);
        textArea1.setText("");
        xYLayout1.setWidth(679);
        xYLayout1.setHeight(300);
        this.setLayout(xYLayout1);
        label1.setFont(new java.awt.Font("Dialog", 1, 14));
        label1.setText("Gesendete Nachrichten");
        this.add(textArea1,   new XYConstraints(30, 42, 622, 235));
        this.add(label1,    new XYConstraints(31, 12, 170, 18));
        addWindowListener(new WindowAdapter() {
        public void windowClosing(WindowEvent e) {
            setVisible(false);
        }
        });
    }

    public void log (Message aMessage){
        String content = "";
        if (aMessage.getBetreff() == Message.SCAN ||
                aMessage.getBetreff() == Message.SYSTEMMESSAGE){
            content = "  -  " + (String) aMessage.getContent();
        }
        textArea1.append("Z: " + (System.currentTimeMillis() - ivSystemzeit) + "  -  von: " + aMessage.getAbsender() + "  -  an: " + aMessage.getEmpfaenger() + "  -  " + Message.resolveBetreff(aMessage.getBetreff()) + content + "\n");
        repaint();
    }

    public void setSystemZeit(){
        this.ivSystemzeit = System.currentTimeMillis();
    }

}