package editor;

import java.awt.*;
import com.borland.jbcl.layout.*;
import java.awt.event.*;
import java.util.Vector;

import agent.Agent;

/**
 *
 * User: Standard
 * Date: 06.11.2003
 * Time: 15:14:47
 *
 */
public class SimulationGUI extends Panel{

    private SimulationController ivSimControl;
    private Spielfeld ivSpielfeld;
    XYLayout xYLayout1 = new XYLayout();
    Label label1 = new Label();
    private ScrollPane ivSpielfeldHolder = new ScrollPane();
    private Frame ivTopEditorFrame;
    Button button1 = new Button();
    Checkbox cbhoehen = new Checkbox();
    Checkbox cbrobbis = new Checkbox();
    Checkbox cbgelaende = new Checkbox();
    Checkbox cbminen = new Checkbox();
    Choice czoom = new Choice();
    Label label4 = new Label();
    Label label2 = new Label();
  Button button2 = new Button();
  Button button3 = new Button();
    private Vector ivAgentDialogButtons = new Vector();
  Button messageBoxButton = new Button();

    private MessageFrame ivMessageFrame = new MessageFrame();
  Checkbox cfog = new Checkbox();
  Button button4 = new Button();



    public SimulationGUI(){
        ivSimControl = new SimulationController();
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }

    }


    private void jbInit() throws Exception {
        label1.setFont(new java.awt.Font("Dialog", 1, 15));
        label1.setText("Simulation");
        this.setLayout(xYLayout1);
        this.setBackground(SystemColor.control);
        button1.setFont(new java.awt.Font("Dialog", 1, 11));
        button1.setLabel("Simulation starten");
        button1.addActionListener(new SimulationGUI_button1_actionAdapter(this));
        cbhoehen.setFont(new java.awt.Font("Dialog", 0, 13));
        cbhoehen.setLabel("Hhen");
        cbhoehen.setState(true);
        cbhoehen.addItemListener(new SimulationGUI_cbhoehen_itemAdapter(this));
        cbrobbis.setFont(new java.awt.Font("Dialog", 0, 13));
        cbrobbis.setLabel("Roboter");
        cbrobbis.setState(true);
        cbrobbis.addItemListener(new SimulationGUI_cbrobbis_itemAdapter(this));
        cbgelaende.setLabel("Gelnde");
        cbgelaende.setState(true);
        cbgelaende.addItemListener(new SimulationGUI_cbgelaende_itemAdapter(this));
        cbminen.setFont(new java.awt.Font("Dialog", 0, 13));
        cbminen.setLabel("Minen");
        cbminen.setState(true);
        cbminen.addItemListener(new SimulationGUI_cbminen_itemAdapter(this));
        label4.setEnabled(true);
        label4.setFont(new java.awt.Font("Dialog", 0, 13));
        label4.setText("%");
        label2.setText("Zoom");
    czoom.addItemListener(new SimulationGUI_czoom_itemAdapter(this));
    button2.addActionListener(new SimulationGUI_button2_actionAdapter(this));
    button2.setLabel("Simulation stoppen");
    button2.setFont(new java.awt.Font("Dialog", 1, 11));
    button2.setEnabled(false);
        // Initialisierung des MessageFrames
        ivMessageFrame.setSize(700, 320);
        ivMessageFrame.setVisible(false);



    messageBoxButton.setFont(new java.awt.Font("Dialog", 1, 11));
    messageBoxButton.setLabel("Messagebox");
    messageBoxButton.addActionListener(new SimulationGUI_messageBoxButton_actionAdapter(this));
    cfog.setLabel("Fog of War");
    cfog.setState(true);
    cfog.addItemListener(new SimulationGUI_cfog_itemAdapter(this));
    xYLayout1.setWidth(974);
    xYLayout1.setHeight(369);
    button4.setLabel("Beenden");
    button4.addActionListener(new SimulationGUI_button4_actionAdapter(this));
    this.add(ivSpielfeldHolder,
                 new XYConstraints(5, 110,
                                   ( (int) Toolkit.getDefaultToolkit().
                                    getScreenSize().
                                    getWidth()) - 10,
                                   ( (int) Toolkit.getDefaultToolkit().
                                    getScreenSize().
                                    getHeight()) - 140));
        this.add(button1, new XYConstraints(646, 17, 136, 21));
        this.add(label1, new XYConstraints(10, 19, 141, 27));
    this.add(button2,   new XYConstraints(646, 42, 136, 21));
    this.add(czoom, new XYConstraints(49, 50, 64, -1));
    this.add(label2, new XYConstraints(13, 48, 34, 22));
    this.add(label4, new XYConstraints(122, 49, 17, 24));
    this.add(cbhoehen, new XYConstraints(147, 55, 58, 18));
    this.add(cbrobbis, new XYConstraints(221, 55, -1, 18));
    this.add(cbminen, new XYConstraints(221, 32, 55, 18));
    this.add(cbgelaende, new XYConstraints(147, 32, 71, 18));
    this.add(messageBoxButton, new XYConstraints(505, 16, 108, 24));
    this.add(cfog,   new XYConstraints(300, 32, 82, 18));
    this.add(button4,     new XYConstraints(811, 18, 136, 21));




        czoom.add("25");
        czoom.add("50");
        czoom.add("75");
        czoom.add("100");
        czoom.add("125");
        czoom.add("150");
        czoom.select("100");

    }

    public Spielfeld getSpielfeld() {
        return ivSpielfeld;
    }

    public void setSpielfeld(Spielfeld ivSpielfeld) {
        this.ivSpielfeld = ivSpielfeld;
    }


    public Frame getTopEditorFrame() {
        return ivTopEditorFrame;
    }

    public void setTopEditorFrame(Frame topEditorFrame) {
        this.ivTopEditorFrame = topEditorFrame;
    }



    public void initSimulation(Spielfeld spielfeld){
        log("init entered");
        ivSpielfeld = spielfeld;
        ivSimControl.initSimulation(spielfeld);
        ivSimControl.setSimulationGUI(this);
        Vector lvAgentsNeedingFrames = ivSimControl.getAgentsNeedingDialog();
        // erzeuge die ButtonInfos und die Buttons
        for (int i = 0; i < lvAgentsNeedingFrames.size(); i++){
            ivAgentDialogButtons.add(new ButtonInfo((Agent)lvAgentsNeedingFrames.get(i), this));
        }

        // plaziere die Buttons:
        for (int i = 0; i < ivAgentDialogButtons.size(); i++){
            this.add(((ButtonInfo) ivAgentDialogButtons.get(i)).getButton(),   new XYConstraints(50 + (i* 80), 80, 70, 20));
        }

        ivSpielfeldHolder.add(ivSpielfeld);
        ivSpielfeld.show();
        this.ivSpielfeldHolder.show();
        this.ivSpielfeldHolder.doLayout();
        this.ivTopEditorFrame.setVisible(true);

    }

    private void log(String message){
          System.out.println(this.getClass().toString() + " -> " + message);
    }

  void cbgelaende_itemStateChanged(ItemEvent e) {
      ivSpielfeld.setmit(cbgelaende.getState(), cbrobbis.getState(), cbhoehen.getState(), cbminen.getState());
  }

  void cbhoehen_itemStateChanged(ItemEvent e) {
      ivSpielfeld.setmit(cbgelaende.getState(), cbrobbis.getState(), cbhoehen.getState(), cbminen.getState());
  }

  void cbminen_itemStateChanged(ItemEvent e) {
      ivSpielfeld.setmit(cbgelaende.getState(), cbrobbis.getState(), cbhoehen.getState(), cbminen.getState());
  }

  void cbrobbis_itemStateChanged(ItemEvent e) {
      ivSpielfeld.setmit(cbgelaende.getState(), cbrobbis.getState(), cbhoehen.getState(), cbminen.getState());
  }

  void czoom_itemStateChanged(ItemEvent e) {
      ivSpielfeld.setzoom(Integer.parseInt(czoom.getSelectedItem()));
  }

  void button1_actionPerformed(ActionEvent e) {
      button1.setEnabled(false);
      button2.setEnabled(true);
      ivMessageFrame.setSystemZeit();
      ivSimControl.startSimulation();


  }

  void button2_actionPerformed(ActionEvent e) {
    ivSimControl.stopSimulation();
      button1.setEnabled(true);
      button2.setEnabled(false);
  }

    public MessageFrame getMessageFrame() {
        return ivMessageFrame;
    }

    void button3_actionPerformed(ActionEvent e) {
    log(e.getActionCommand());

    // todo Eventhandler, der dynamisch die Frames abklappert und sichtbar / unsichtbar macht!!
    for(int i = 0; i < ivAgentDialogButtons.size(); i++){
        if (((ButtonInfo) ivAgentDialogButtons.get(i)).getButton().getLabel().equals(e.getActionCommand())){
              log(" " + ((ButtonInfo) ivAgentDialogButtons.get(i)).getButton().getLabel().equals(e.getActionCommand()));
              log("Ist der Frame des Agenten sichtbar???  " + ((ButtonInfo) ivAgentDialogButtons.get(i)).getAgent().getFrame().isVisible());
              if (((ButtonInfo) ivAgentDialogButtons.get(i)).getAgent().getFrame().isVisible()){
                  log(" setVisible(false) betreten");
                  ((ButtonInfo) ivAgentDialogButtons.get(i)).getAgent().getFrame().setVisible(false);
              } else {
                  log(" setVisible(true) betreten");
                  ((ButtonInfo) ivAgentDialogButtons.get(i)).getAgent().getFrame().setVisible(true);
              }
        }
    }





  }

    class ButtonInfo{
        private Button button;
        private Agent agent;

        public ButtonInfo(Agent agent, SimulationGUI gui) {
            this.agent = agent;
            button = new Button(agent.getName());
            button.addActionListener(new SimulationGUI_button3_actionAdapter(gui));

        }

        public Agent getAgent() {
            return agent;
        }

        public Button getButton() {
            return button;
        }


    }

  void messageBoxButton_actionPerformed(ActionEvent e) {
      if(ivMessageFrame.isVisible()){
          ivMessageFrame.setVisible(false);
      } else {
          ivMessageFrame.setVisible(true);
      }

  }

  public void killAgentFrame(String name){
       for (int i=0; i < ivAgentDialogButtons.size(); i++){
           if (((ButtonInfo) ivAgentDialogButtons.get(i)).getAgent().getName().equals(name)){
               ButtonInfo bi = (ButtonInfo) ivAgentDialogButtons.get(i);
               Frame f = bi.getAgent().getFrame();
               f.dispose();
               bi.getButton().setVisible(false);
               remove(bi.getButton());
               ivAgentDialogButtons.remove(i);
               this.validate();
           }
       }

   }


  void cfog_itemStateChanged(ItemEvent e) {
    ivSpielfeld.setmitfog(cfog.getState());
    ivSpielfeld.repaint();
  }

  void button4_actionPerformed(ActionEvent e) {
    ivSpielfeld=null;
    System.gc();
    getParent().remove(this);
  }




}

class SimulationGUI_cbgelaende_itemAdapter implements java.awt.event.ItemListener {
  SimulationGUI adaptee;

  SimulationGUI_cbgelaende_itemAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void itemStateChanged(ItemEvent e) {
    adaptee.cbgelaende_itemStateChanged(e);
  }
}

class SimulationGUI_cbhoehen_itemAdapter implements java.awt.event.ItemListener {
  SimulationGUI adaptee;

  SimulationGUI_cbhoehen_itemAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void itemStateChanged(ItemEvent e) {
    adaptee.cbhoehen_itemStateChanged(e);
  }
}

class SimulationGUI_cbminen_itemAdapter implements java.awt.event.ItemListener {
  SimulationGUI adaptee;

  SimulationGUI_cbminen_itemAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void itemStateChanged(ItemEvent e) {
    adaptee.cbminen_itemStateChanged(e);
  }
}

class SimulationGUI_cbrobbis_itemAdapter implements java.awt.event.ItemListener {
  SimulationGUI adaptee;

  SimulationGUI_cbrobbis_itemAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void itemStateChanged(ItemEvent e) {
    adaptee.cbrobbis_itemStateChanged(e);
  }
}

class SimulationGUI_czoom_itemAdapter implements java.awt.event.ItemListener {
  SimulationGUI adaptee;

  SimulationGUI_czoom_itemAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void itemStateChanged(ItemEvent e) {
    adaptee.czoom_itemStateChanged(e);
  }
}

class SimulationGUI_button1_actionAdapter implements java.awt.event.ActionListener {
  SimulationGUI adaptee;

  SimulationGUI_button1_actionAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.button1_actionPerformed(e);
  }
}

class SimulationGUI_button2_actionAdapter implements java.awt.event.ActionListener {
  SimulationGUI adaptee;

  SimulationGUI_button2_actionAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.button2_actionPerformed(e);
  }
}

class SimulationGUI_button3_actionAdapter implements java.awt.event.ActionListener {
  SimulationGUI adaptee;

  SimulationGUI_button3_actionAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.button3_actionPerformed(e);
  }
}

class SimulationGUI_messageBoxButton_actionAdapter implements java.awt.event.ActionListener {
  SimulationGUI adaptee;

  SimulationGUI_messageBoxButton_actionAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.messageBoxButton_actionPerformed(e);
  }
}

class SimulationGUI_cfog_itemAdapter implements java.awt.event.ItemListener {
  SimulationGUI adaptee;

  SimulationGUI_cfog_itemAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void itemStateChanged(ItemEvent e) {
    adaptee.cfog_itemStateChanged(e);
  }
}

class SimulationGUI_button4_actionAdapter implements java.awt.event.ActionListener {
  SimulationGUI adaptee;

  SimulationGUI_button4_actionAdapter(SimulationGUI adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.button4_actionPerformed(e);
  }
}


